pirooz

مشکل با تغییر قالب

1 پست در این موضوع قرار دارد

سلام

من یک مشکل با تغییر قالب فعلی سایت دارم.

هر قالبی را که به عنوان قالب جدید انتخاب می‌کنم، با پیغام Fatal error مواجه می‌شم.


Warning: require_once(/home/****/public_html/wp-content/themes/MyNewTheme/lib/Themater.php): failed to open stream: No such file or directory in /home/****/public_html/wp-content/themes/MyNewTheme/functions.php on line 107

Fatal error: require_once(): Failed opening required '/home/****/public_html/wp-content/themes/MyNewTheme/lib/Themater.php' (include_path='.:/usr/local/lib/php') in /home/****/public_html/wp-content/themes/MyNewTheme/functions.php on line 107

این در حالی هست که در داخل پوشه MyNewTheme من اصلاً پوشه‌ای به نام lib وجود نداره که خطا داره به اون پوشه و فایل‌های داخلش اشاره می‌کنه و پوشه lib ، مربوط به پوسته قدیمی هست.

همچنین داخل خطا، داره به خط 107 فایل فانکشن اشاره می‌کنه. در صورتی که فایل فانکشن من 105 خط داره. (حواسم به اسپیس‌ها و اینترهای اضافی آخر فایل فانکشن بوده).

در ضمن عبارت Themater را که خطا داره اون به فایل php با این نام اشاره می‌کنه، در داخل دیتابیس جستجو کردم، یکی چندتا رکورد با این عبارت توی جدول option پیدا شد که به نظر می‌رسه مربوط به ویجت‌های قالب قدیمی باشه.

من حتی فایل‌های پوسته قالب قبلی را از داخل هاست پاک کردم ولی همچنان پیغام خطا نمایش داده میشه.

هر دفعه که قالب جدید را فعال می‌کنم این اتفاق میوفته، و مجبور هستم از داخل هاست، نام پوسته جدید را تغییر بدهم و بعد، مجدداً همان پوسته قدیمی را فعال کنم.

این خطا، حتی با فعال‌سازی قالب‌های پیش فرض وردپرس یعنی 2016 و 2015 هم رخ می‌ده.

اگر ممکنه، من را راهنمایی کنید.

با تشکر

0

به اشتراک گذاری این پست


لینک به پست

برای ارسال نظر یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید نظر ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در انجمن ما ثبت نام کنید. عضویت خیلی ساده است !


ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید


ورود به حساب کاربری